From fdb124f657db1f5492fa03c5195af52dc9cb1eea Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 11 May 2022 08:36:38 +0200
Subject: [PATCH 09/14] Fix g_slurm_auth_create in _pack_composite_msg

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_pack.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_pack.c b/src/common/slurm_protocol_pack.c
index 115ab383a1..bafde811c7 100644
--- a/src/common/slurm_protocol_pack.c
+++ b/src/common/slurm_protocol_pack.c
@@ -2614,7 +2614,8 @@ _pack_composite_msg(composite_msg_t *msg, Buf buffer, uint16_t protocol_version)
 				/* FIXME: this should handle the
 				 * _global_auth_key() as well. */
 				tmp_info->auth_cred = g_slurm_auth_create(
-					tmp_info->auth_index, auth_info);
+					tmp_info->auth_index, auth_info,
+					tmp_info->restrict_uid, NULL, 0);
 				xfree(auth_info);
 			}
 
-- 
2.35.3


